# OpalWAVFile Class Reference

`#include <opalwavfile.h>`

## Public Member Functions

| OpalWAVFile (unsigned format=fmt_PCM)
| OpalWAVFile (OpenMode mode, int opts=ModeDefault, unsigned format=fmt_PCM)
| OpalWAVFile (const PFilePath &name, OpenMode mode=ReadWrite, int opts=ModeDefault, unsigned format=fmt_PCM)

## Static Public Member Functions

static bool | AddMediaFormat (const OpalMediaFormat &mediaFormat)

## Detailed Description

This class is similar to the PWavFile class found in the PWlib components library. However, it will transparently convert all data to/from PCM format, allowing applications to be unconcerned with the underlying data format.

## Constructor & Destructor Documentation

OpalWAVFile::OpalWAVFile | ( | unsigned | format = `fmt_PCM` | ) |

Parameters:

  format | Type of WAV File to create

OpalWAVFile::OpalWAVFile | ( | OpenMode | mode,
|  | int | opts = `ModeDefault`,
|  | unsigned | format = `fmt_PCM` |
| ) |  |  |

Create a unique temporary file name, and open the file in the specified mode and using the specified options. Note that opening a new, unique, temporary file name in ReadOnly mode will always fail. This would only be usefull in a mode and options that will create the file.

If a WAV file is being created, the type parameter can be used to create a PCM Wave file or a G.723.1 Wave file by using `WaveType` enum

The `PChannel::IsOpen()` function may be used after object construction to determine if the file was successfully opened.

Parameters:

  mode | Mode in which to open the file.
  opts | `OpenOptions` enum for open operation.
  format | Type of WAV File to create

OpalWAVFile::OpalWAVFile | ( | const PFilePath & | name,
|  | OpenMode | mode = `ReadWrite`,
|  | int | opts = `ModeDefault`,
|  | unsigned | format = `fmt_PCM` |
| ) |  |  |

Create a WAV file object with the specified name and open it in the specified mode and with the specified options. If a WAV file is being created, the type parameter can be used to create a PCM Wave file or a G.723.1 Wave file by using `WaveType` enum.

The `PChannel::IsOpen()` function may be used after object construction to determine if the file was successfully opened.

Parameters:

  name | Name of file to open.
  mode | Mode in which to open the file.
  opts | `OpenOptions` enum for open operation.
  format | Type of WAV File to create

## Member Function Documentation

static bool OpalWAVFile::AddMediaFormat | ( | const OpalMediaFormat & | mediaFormat | ) | `[static]`

The documentation for this class was generated from the following file:

- opalwavfile.h